package goldeneye.server.game;

import java.util.HashMap;
import java.util.Random;

/**
 * Deze klasse genereert de hint die de Leuvenaar doorspelen aan de detectives.
 * 
 * @author Wieland
 */
public class Hint {
	private String text;

	public Hint(int rondenumber, String locatie) {
		String[] possibleHints = {
				"HINT "+rondenumber/3+" :De meest gezochte misdadiger van ons land, Mister X, heeft weer toegeslaan. Aan de " + locatie + " zijn sporen gevonden van een gruwelijke verkrachting.",
				
				"HINT "+rondenumber/3+" :Er is een inbraak gemeld bij Groep T. De hele inboedel is op mirakuleuze wijze verdwenen en alle aanwezige industriele ingenieurs zijn omgekomen. De man achter deze zaak, Mister X, houdt zich op dit moment schuil nabij de " + locatie+".",
				
				"HINT "+rondenumber/3+" :De rector van de universiteit KULeuven, Marc Vervenne, is zopas bedreigd geweest door Mister X. De bodyguards van de rector kwamen tussenbeide en verdreven de misdadiger tot aan de " + locatie +".",
				
				"HINT "+rondenumber/3+" :Mister X heeft een nieuw record gevestigd. Hij heeft in de "+locatie+" 26 mensen vermoord met maar 1 kogel. Hij komt hiermee in het Guinness Book of Records.",
				
				"HINT "+rondenumber/3+" :Uit zeer vertrouwelijke bronnen, kunnen we melden dat Mister X vijf bomma's, drie 12-jarigen en twee schapen verkracht heeft ter hoogte van de " + locatie+".",				
				
				"HINT "+rondenumber/3+" :Een formule1-wagen heeft zonet een moeder met haar pasgeboren baby aangereden en tegen de gevel van het stadhuis geramd. Het ongeval werd veroorzaakt door Mister X, die zich momenteel in de "+locatie+" bevindt.",
				
				"HINT "+rondenumber/3+" :Het gerucht dat Mister X Ann Van Elsen heeft aangerand is bevestigd door de BELGA-nieuwsdienst. Plaats van het gebeuren was het appartement van Ann, dat zich bevindt in de "+locatie+".",
				
				"HINT "+rondenumber/3+" :Mister X heeft net een cannabisplantage gesticht in de "+locatie+". Hij staat er nu zijn plantjes water te geven.",
				
				"HINT "+rondenumber/3+" :De Arabische televisiezender Al Jahzeera heeft zopas een videobericht vrijgegeven waarin Bin Laden opbiecht dat hij en Mister X een driedubbele moord hebben gepleegd dichtbij de " + locatie+".",
				
				"HINT "+rondenumber/3+" :De gevaarlijke misdadiger Mister X heeft daarnet zijn muziek extreem luid gezet. Ter hoogte van de "+locatie+", liet hij het volume oplopen tot 190dB. Dit is uiterst strafbaar, en het is weer een reden om hem te arresteren."};
		Random generator = new Random();
		int r = generator.nextInt(10);
		text = possibleHints[r];
	}
	
	public void setText (String text) {
		this.text = text;
	}
	
	public String getText () {
		return text;
	}
}
