package goldeneye.server.game;
import java.util.Date;

public class Time {
	private int startHours;
	private int startMinutes;
	private int hours;
	private int minutes;

	public Time(){
		generateStartTime();
		hours = startHours;
		minutes = startMinutes;
	}

	private void generateStartTime() {
		Date startDate = new Date();
		startHours = startDate.getHours();
		startMinutes = startDate.getMinutes() - startDate.getMinutes()%10;		// afronden op veelvoud van 10
	}

	public int getHours() {
		return hours;
	}

	public int getMinutes() {
		return minutes;
	}

	public int getTurnNumber() {
		return minutes/10 + hours * 6;
	}

	public boolean nextTurn() {
		if (hours == startHours && minutes == startMinutes)
			return false;
		else {
			if(minutes == 50) {
				minutes = 0;
				hours++;
			}
			else {
				minutes += 10;
			}
			return true;
		}
	}
}
