package goldeneye.server.game;


/** 
 * Een Leuvenaar is een persoon in het spel. Hij kan hints geven aan de detectives.
 */
public class Leuvenaar extends Person {
	
	private Hint hint;
	
	/**
	 * constructor
	 * 
	 * @param name naam van de Leuvenaar
	 * @param position	positie van de Leuvenaar
	 * @param hint hint die de Leuvenaar moet doorgeven aan de detectives
	 */
	public Leuvenaar(String name, String position, Hint hint) {
		super(name, position);
		this.hint = hint;
	}

	/** 
	 * getter-functie voor de hint die een Leuvenaar bezit
	 * @return  geeft een hint terug
	 */
	public Hint getHint() {
		return hint;
	}

	/** 
	 * setter-functie voor de hint die een Leuvenaar bezit
	 * @param newHint  de nieuwe hint die de Leuvenaar moet geven
	 */
	public void setHint(Hint newHint) {
		hint = newHint;
	}

}
