package goldeneye.server.game;

/** 
 * Persoon in het spel, houdt zijn positie en naam bij. Er zijn drie soorten personen: 
 * Leuvenaars, Detectives en MisterXen (deze laatste twee behoren tot de klasse Player).
 * 
 * @author CWA03
 */

public class Person {
	
	private String name;
	private String position;
	
	/**
	 * constructor
	 * 
	 * @param name	naam van de persoon
	 * @param position	huidige positie van de persoon
	 */
	public Person(String name, String position) {
		this.name = name;
		this.position = position;
	}

	/**
	 * getter-functie van de naam van de persoon
	 * @return  geeft de naam terug
	 */
	public String getName() {
		return name;
	}

	/**
	 * setter-functie van de naam van de persoon
	 * @param newName  de naam die je de persoon wil geven
	 */
	public void setName(String newName) {
		name = newName;
	}


	/**
	 * getter-functie van de huidige positie van de persoon 
	 * @return de huidige positie
	 */
	public String getPosition(){
		return position;
	}
	
	/**
	 * setter-functie voor de positie van de persoon
	 * @param newPosition	de nieuwe positie van de persoon
	 */
	public void setPosition(String newPosition) {
		position = newPosition;
	}
}
